From: Dario Faggioli <dario.faggioli@citrix.com>
To: xen-devel@lists.xen.org
Cc: Ian Jackson <Ian.Jackson@eu.citrix.com>,
Wei Liu <wei.liu2@citrix.com>,
Ian Campbell <Ian.Campbell@citrix.com>
Subject: [PATCH 11/27] make-bench-flight: to create a benchmarking flight
Date: Wed, 10 Dec 2014 19:10:22 +0100 [thread overview]
Message-ID: <20141210181022.26400.52391.stgit@Abyss.station> (raw)
In-Reply-To: <20141210180651.26400.13356.stgit@Abyss.station>
This is all done in a new script, to keep these jobs
separated from regular testing jobs defined by make-flight.
Signed-off-by: Dario Faggioli <dario.faggioli@citrix.com>
Cc: Wei Liu <wei.liu2@citrix.com>
Cc: Ian Campbell <Ian.Campbell@citrix.com>
Cc: Ian Jackson <Ian.Jackson@eu.citrix.com>
---
README | 10 +++++
make-bench-flight | 100 +++++++++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 110 insertions(+)
create mode 100755 make-bench-flight
diff --git a/README b/README
index 3fe5ecc..45d1498 100644
--- a/README
+++ b/README
@@ -190,6 +190,16 @@ test-$XENARCH-$DOM0ARCH-<CASE>
Some tests also have a -$DOMUARCH suffix indicating the
obvious thing.
+bench-$BENCHNAME-$ARCH-<XEN_OPTS>-<GUEST_OPTS>
+
+ A benchmarking job, running benchmark $BENCHNAME on a $ARCH
+ hypervisor and dom0 (and guest).
+
+ In the remainder of the job's name, <XEN_OPTS> tells something
+ about Xen's configuration (e.g., what scheduler will be used);
+ <GUEST_OPTS> tells about the guest's configuration (e.g., whether
+ it's HVM or PV, number of vCPUs, RAM, etc.).
+
NB: $ARCH (and $XENARCH etc) are Debian arch names, i386, amd64, armhf.
Standalone Mode
diff --git a/make-bench-flight b/make-bench-flight
new file mode 100755
index 0000000..cdb22ff
--- /dev/null
+++ b/make-bench-flight
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# This is part of "osstest", an automated testing framework for Xen.
+# Copyright (C) 2009-2014 Citrix Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e
+
+branch=$1
+xenbranch=$2
+blessing=$3
+buildflight=$4
+
+flight=`./cs-flight-create $blessing $branch`
+
+. ap-common
+. cri-common
+. mfi-common
+
+defsuite=`getconfig DebianSuite`
+defguestsuite=`getconfig GuestDebianSuite`
+
+if [ x$buildflight = x ]; then
+
+ if [ "x$BUILD_LVEXTEND_MAX" != x ]; then
+ BUILD_RUNVARS+=" build_lvextend_max=$BUILD_LVEXTEND_MAX "
+ fi
+
+ create_build_jobs
+
+else
+
+ bfi=$buildflight.
+
+fi
+
+job_create_test_filter_callback () {
+ :
+}
+
+test_matrix_branch_filter_callback () {
+ :
+}
+
+do_unixbench_tests () {
+ gvcpus=$1
+ gmem=$2
+
+ # x86_64 only (for now)
+ if [ $xenarch != amd64 ]; then
+ return
+ fi
+ # "homogeneous" tests only (for now)
+ if [ $xenarch != $dom0arch ]; then
+ return
+ fi
+
+ gvcpus_runvars=guests_vcpus=$gvcpus; gvcpus_suffix=-${gvcpus}vcpus
+ gmem_runvars=guests_memory=$gmem; gmem_suffix=-${gmem}ram
+ if [ $gvcpus -ge 2 ];then params="-c $(($gvcpus/2))"; fi
+ params="$params -c $gvcpus -c $(($gvcpus*2)) -i 6"
+
+ for gt in pv hvm; do
+ for sched in credit credit2; do
+ job_create_test \
+ bench-unixbench-$xenarch-$sched-$gt$gvcpus_suffix$gmem_suffix \
+ bench-unixbench-$gt xl $xenarch $dom0arch $gvcpus_runvars $gmem_runvars \
+ xen_boot_append="sched=$sched" unixbench_params="$params" $debian_runvars \
+ bios=seabios debianhvm_image=debian-7.2.0-amd64-CD-1.iso \
+ all_hostflags=$most_hostflags
+ done
+ done
+}
+
+test_matrix_do_one () {
+ do_unixbench_tests 4 4096 # 4 vcpus, 4GB RAM
+}
+
+test_matrix_iterate
+
+echo $flight
+
+# Local variables:
+# mode: sh
+# sh-basic-offset: 2
+# indent-tabs-mode: nil
+# End:
next prev parent reply other threads:[~2014-12-10 18:10 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-12-10 18:08 [PATCH 00/27] Running benchmarks via OSSTest Dario Faggioli
2014-12-10 18:09 ` [PATCH 01/27] ts-devbian-hvm-install: prune "cdrom:" from install sources Dario Faggioli
2014-12-10 18:09 ` [PATCH 02/27] Osstest/Debian.pm: fix identifying a Linux baremetal grub2 entry Dario Faggioli
2014-12-10 18:09 ` [PATCH 03/27] Guest setup: allow the amount of RAM to be a runvar Dario Faggioli
2014-12-11 12:05 ` Wei Liu
2014-12-11 12:57 ` Dario Faggioli
2014-12-11 13:06 ` Wei Liu
2014-12-10 18:09 ` [PATCH 04/27] Osstest/TestSupport.pm: Introduce target_getfile_[root_]stash() Dario Faggioli
2014-12-10 18:09 ` [PATCH 05/27] mg-unixbench-download: new script for downloading the unixbench archive Dario Faggioli
2014-12-10 18:09 ` [PATCH 06/27] ts-unixbench-build: prep the environment for running unixbench Dario Faggioli
2014-12-10 18:09 ` [PATCH 07/27] ts-unixbench-run: kick off the benchmark on the target Dario Faggioli
2014-12-10 18:09 ` [PATCH 08/27] ts-unixbench-reslts: for retrieving the results Dario Faggioli
2014-12-11 12:09 ` Wei Liu
2014-12-11 12:59 ` Dario Faggioli
2014-12-10 18:10 ` [PATCH 09/27] ts-unixbench-reslts: process and plot bench results Dario Faggioli
2014-12-11 12:15 ` Wei Liu
2014-12-11 13:11 ` Dario Faggioli
2014-12-11 13:16 ` Wei Liu
2014-12-10 18:10 ` [PATCH 10/27] sg-run-job: recipes for the unixbench jobs Dario Faggioli
2014-12-10 18:10 ` Dario Faggioli [this message]
2014-12-10 18:10 ` [PATCH 12/27] standalone-reset: introduce a new -t option Dario Faggioli
2014-12-10 18:10 ` [PATCH 13/27] mg-kernbench-download: new script for downloading kernbench Dario Faggioli
2014-12-10 18:10 ` [PATCH 14/27] ts-kernbench-build: prep the environment for running kernbench Dario Faggioli
2014-12-10 18:10 ` [PATCH 15/27] ts-kernbench-run: kick off the benchmark on the target Dario Faggioli
2014-12-10 18:11 ` [PATCH 16/27] ts-unixbench-reslts: retrieve and stash kernbench results Dario Faggioli
2014-12-10 18:11 ` [PATCH 17/27] ts-kernbench-reslts: process and plot bench results Dario Faggioli
2014-12-11 13:19 ` Dario Faggioli
2014-12-10 18:11 ` [PATCH 18/27] sg-run-job: recipes for the kernbench jobs Dario Faggioli
2014-12-10 18:11 ` [PATCH 19/27] make-bench-flight: create " Dario Faggioli
2014-12-10 18:11 ` [PATCH 20/27] Osstest/TestSupport.pm: read hosts' hardware characteristics Dario Faggioli
2014-12-10 18:11 ` [PATCH 21/27] ts-bench-hostcmp-guest-prep: new script Dario Faggioli
2014-12-10 18:11 ` [PATCH 22/27] ts-bench-hostcmp-host-prep: " Dario Faggioli
2014-12-11 12:32 ` Wei Liu
2014-12-11 13:23 ` Dario Faggioli
2014-12-10 18:12 ` [PATCH 23/27] ts-bench-hostcmp-host-reset: " Dario Faggioli
2014-12-11 13:20 ` Dario Faggioli
2014-12-10 18:12 ` [PATCH 24/27] Recipes and jobs for running unixbench both on host and guest Dario Faggioli
2014-12-10 18:12 ` [PATCH 25/27] ts-bench-hostcmp-post: add plotting facilities Dario Faggioli
2014-12-10 18:12 ` [PATCH 26/27] Kernbench perf comparison between host and guest Dario Faggioli
2014-12-10 18:12 ` [PATCH 27/27] ts-bench-hostcmp-post: add plotting facilities Dario Faggioli
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20141210181022.26400.52391.stgit@Abyss.station \
--to=dario.faggioli@citrix.com \
--cc=Ian.Campbell@citrix.com \
--cc=Ian.Jackson@eu.citrix.com \
--cc=wei.liu2@citrix.com \
--cc=xen-devel@lists.xen.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.